<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import { Head, Link, useForm } from '@inertiajs/vue3';
import InputError from '@/Components/InputError.vue';



const form = useForm({
    email: '',
    password: '',
});

const submit = () => {
    form.post(route('login'));
};

function myFunction(id)
{
  var input = document.getElementById(id);
  input.type = (input.type === 'password') ? 'text' : 'password';
}
</script>

<template>
   
    <Sweetalert />
<GuestLayout>
 

    <Head title="Login" />
    <div class="row justify-content-center">
        <div class="col-md-8 col-lg-6 col-xl-5">
            <div class="card mt-4">

                <div class="card-body p-4">
                    <div class="text-center mt-2">
                        <h5 class="text-primary">Welcome Back !</h5>
                        <p class="text-muted">Sign in to continue to Velzon.</p>
                    </div>
                    <div class="p-2 mt-4">
                        <form  @submit.prevent="submit">

                            <div class="mb-3">
                                <label for="useremail" class="form-label">Useremail</label>
                                <input type="text" class="form-control" id="useremail" placeholder="Enter useremail" v-model="form.email">
                                <InputError class="mt-2 text-danger" :message="form.errors.email" />
                            </div>

                            <div class="mb-3">
                                <div class="float-end">
                                    <Link :href="route('password.email')" class="text-muted">Forgot password?</Link>
                                    <!-- <a href="auth-pass-reset-basic.html" class="text-muted">Forgot password?</a> -->
                                </div>
                                <label class="form-label" for="password-input">Password</label>
                                <div class="position-relative auth-pass-inputgroup mb-3">
     <input type="password" class="form-control pe-5 password-input" placeholder="Enter password" id="password-input" v-model="form.password">
               <button class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon" type="button" id="password-addon">
                    <i class="ri-eye-fill align-middle" @click="myFunction('password-input')"></i></button>
                                    <InputError class="mt-2 text-danger" :message="form.errors.password" />
                                </div>
                            </div>

                            <div class="mt-4">
                                <button class="btn btn-success w-100" type="submit">Sign In</button>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- end card body -->
            </div>
            <!-- end card -->

            <div class="mt-4 text-center">
                <Link :href="route('register')" class="fw-semibold text-primary text-decoration-underline">
                    Signup
                </Link>
                <!-- <p class="mb-0">Don't have an account ? <a href="auth-signup-basic.html" class="fw-semibold text-primary text-decoration-underline"> Signup </a> </p> -->
            </div>

        </div>
    </div>

</Guestlayout>
</template>


